# NamespaceList
Date: 2013-02-18

## org.simpleframework.xml
Annotation Type NamespaceList

    @Retention(value=RUNTIME)
    public @interface NamespaceList

The `NamespaceList` annotation that is used to declare namespaces that can be added to an element. This is used when there are several namespaces to add to the element without setting any namespace to the element. This is useful when the scope of a namespace needs to span several nodes. All prefixes declared in the namespaces will be available to the child nodes.

        <example xmlns:root="http://www.example.com/root">
           <anonymous>anonymous element</anonymous>
        </example>

The above XML example shows how a prefixed namespace has been added to the element without qualifying that element. Such declarations will allow child elements to pick up the parents prefix when this is required, this avoids having to redeclare the same namespace.

Author:
  Niall Gallagher
See Also:
  `Namespace`

Optional Element Summary
`Namespace[]` `value` This is used to acquire the namespaces that are declared on the class.

### value

    public abstract Namespace[] value

  This is used to acquire the namespaces that are declared on the class. Any number of namespaces can be declared. None of the declared namespaces will be made the elements namespace, instead it will simply declare the namespaces so that the reference URI and prefix will be made available to children.

  Returns:
    this returns the namespaces that are declared.
  Default:
    {}